//------------------------------------------------------------------------//
// LSERVERS.H   Header file for LSERVERS.CPP.
//------------------------------------------------------------------------//

//
//If LSERVERS.H has not already been included in the compile, then,
//                                                                
#ifndef __LSERVERS_H

//
//Define the inclusion of LSERVERS.H and make all the definitions following
//below in this file
//
#define __LSERVERS_H

#include <afxwin.h>     //MFC header file - all MFC apps must use
#include <afxext.h>     //MFC extensions header - CBitmapButton declaration

//========================================================================//
// CListServers class - This class is used to reference the List Servers
//   dialog element. The dialog has 1 list box containing
//   the names of MA+ servers on the network.
//========================================================================//
class CListServers : public CDialog
{
public: 
   CListServers();                                       //Class constructor
   BOOL OnInitDialog();                                  //Initializes dialog
   void AddServerName(const char __far* lpszServerName); //Adds server to list
   int GetCount();                                       //Gets list count
   int GetText(int nIndex, LPSTR lpszBuffer);            //Gets list item text
   afx_msg void OnOK();                                  //Message response

private:
   CListBox* Servers();            //Listbox element holding server name
   CBitmapButton OkButton;         //Variable for manipulating dialog buttons
   
DECLARE_MESSAGE_MAP()    
};                                                     

//
//End of preprocessor directive to include LSERVERS.H
//
#endif
