//------------------------------------------------------------------------//
// MASSIST.H   Header file for MASSIST.CPP and other Modem Assist Plus
//             structures.
//------------------------------------------------------------------------//
//
//If MASSIST.H has not already been included in the compile, then,
//                                                                
#ifndef __MASSIST_H

//
//Define the inclusion of MASSIST.H and make all the definitions following
//below in this file
//
#define __MASSIST_H

#include <windows.h>

//========================================================================//
// The CLineInfo class to hold MA+ Server, Group, and Line information.  A 
// variable of this type is passed, by reference to either CMApiCall 
// function in MCLIENT.DLL or function AH=10h in MCLIENT.EXE in order to
// retrieve MA+ Server, Group and Line names.
//========================================================================//

class CLineInfo {
public:
   CLineInfo ();      // constructor for the class
   int LenReplyBuffer;  // length of pattern/reply buffer (48 or 50)
   char ServerName[16];  // the Server name returned from name search  
   char GroupName[16];  // the Group name returned from name search
   char LineName[16];  // the Line name returned from name search
   int Status;       // the Status of the Line returned above.
};                       // Status will be AVAIL, INUSE or OUT


//========================================================================//
// Below we define a 80386 CPU register structure with members for each 80386 
// CPU data, pointer, index and segment register. In PORTSET.EXE, a variable
// of this type is declared globally, and passed to the function CMApiCall
// in order to retrieve the MA+ Server, Group and Line names.
//========================================================================//

typedef struct RCallStruct
    {
      DWORD EDI,   ESI, EBP, Reserved, EBX, EDX, ECX, EAX ;
      WORD  Flags, ES,  DS,  FS, GS,   IP,  CS,  SP,  SS ;
    } RCALLSTRUCT ;

//
//End of preprocessor directive to include MASSIST.H
//
#endif
