//------------------------------------------------------------------------//
// PORTSETC.H   Header file for PORTSETC.CPP, MAINDLG.CPP, DRAGLIST.CPP
//              DROPSTTC.CPP, SPLASH.CPP
//------------------------------------------------------------------------//

//
//If PORTSET.H has not already been included in the compile, then,
//                                                                
#ifndef __PORTSETC_H

//
//Define the inclusion of PORTSET.H and make all the definitions following
//below in this file
//
#define __PORTSETC_H

#include <afxwin.h>        //MFC header file - all MFC apps must use
#include "msgwnd.h"        //Header file for the MSGWND.CPP source module

//------------------------------------------------------------------------
// Line Status values
//------------------------------------------------------------------------
#define AVAIL 0
#define OUT   1
#define INUSE 2
                    

//========================================================================//
// Class CApp 
//
// Derived from      CWinApp
//
// Member functions  
//                   InitApplication      
//                   InitInstance
//                   ProcessMessageFilter
//                   ExitInstance
//                   DoWaitCursor
//                   MClientINIExists
//                   MakeSplash
//
// Remarks           This is the main application class used to start and 
//                   end the program                                             
//========================================================================//
class CApp : public CWinApp
{
public: 
   virtual BOOL InitApplication ();      //Loads dll's 
   virtual BOOL InitInstance ();         //Various instance initialization 
   virtual BOOL ProcessMessageFilter(int code, LPMSG lpMsg); //Attach menu
   virtual int ExitInstance ();          //Close the application
   virtual void DoWaitCursor(int nCode); //Shows hourglass
   BOOL MClientINIExists ();          //Checks if MCLIENT.INI exists
   void MakeSplash();                 //Displays the initial splash window
   CMessageWnd* SplashWindow;         //Initial splash window for application
   HICON PortSetIcon;                 //Custom icon handle for this icon 
private:

}; 

//
//End of preprocessor directive to include PORTSET.H
//
#endif
 